org.keycloak.models

## Interface ClientTemplateModel

- All Superinterfaces:
    ProtocolMapperContainerModel, ScopeContainerModel
  All Known Implementing Classes:
    ClientTemplateAdapter, ClientTemplateAdapter, ClientTemplateAdapter

      public interface ClientTemplateModel
      extends ProtocolMapperContainerModel, ScopeContainerModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttribute(String name)`
    `Map<String,String>` | `getAttributes()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getProtocol()`
    `RealmModel` | `getRealm()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isConsentRequired()`
    `boolean` | `isDirectAccessGrantsEnabled()`
    `boolean` | `isFrontchannelLogout()`
    `boolean` | `isImplicitFlowEnabled()`
    `boolean` | `isPublicClient()`
    `boolean` | `isServiceAccountsEnabled()`
    `boolean` | `isStandardFlowEnabled()`
    `void` | `removeAttribute(String name)`
    `void` | `setAttribute(String name, String value)`
    `void` | `setBearerOnly(boolean only)`
    `void` | `setConsentRequired(boolean consentRequired)`
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)`
    `void` | `setFrontchannelLogout(boolean flag)`
    `void` | `setImplicitFlowEnabled(boolean implicitFlowEnabled)`
    `void` | `setName(String name)`
    `void` | `setProtocol(String protocol)`
    `void` | `setPublicClient(boolean flag)`
    `void` | `setServiceAccountsEnabled(boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(boolean standardFlowEnabled)`

    - ### Methods inherited from interface org.keycloak.models.ProtocolMapperContainerModel

      `addProtocolMapper, getProtocolMapperById, getProtocolMapperByName, getProtocolMappers, removeProtocolMapper, updateProtocolMapper`

    - ### Methods inherited from interface org.keycloak.models.ScopeContainerModel

      `addScopeMapping, deleteScopeMapping, getRealmScopeMappings, getScopeMappings, hasScope, isFullScopeAllowed, setFullScopeAllowed`

- - ### Method Detail

    - #### getId

          String getId()

    - #### getName

          String getName()

    - #### getRealm

          RealmModel getRealm()

    - #### setName

          void setName(String name)

    - #### getDescription

          String getDescription()

    - #### setDescription

          void setDescription(String description)

    - #### getProtocol

          String getProtocol()

    - #### setProtocol

          void setProtocol(String protocol)

    - #### setAttribute

          void setAttribute(String name,
                            String value)

    - #### removeAttribute

          void removeAttribute(String name)

    - #### getAttribute

          String getAttribute(String name)

    - #### getAttributes

          Map<String,String> getAttributes()

    - #### isFrontchannelLogout

          boolean isFrontchannelLogout()

    - #### setFrontchannelLogout

          void setFrontchannelLogout(boolean flag)

    - #### isBearerOnly

          boolean isBearerOnly()

    - #### setBearerOnly

          void setBearerOnly(boolean only)

    - #### isPublicClient

          boolean isPublicClient()

    - #### setPublicClient

          void setPublicClient(boolean flag)

    - #### isConsentRequired

          boolean isConsentRequired()

    - #### setConsentRequired

          void setConsentRequired(boolean consentRequired)

    - #### isStandardFlowEnabled

          boolean isStandardFlowEnabled()

    - #### setStandardFlowEnabled

          void setStandardFlowEnabled(boolean standardFlowEnabled)

    - #### isImplicitFlowEnabled

          boolean isImplicitFlowEnabled()

    - #### setImplicitFlowEnabled

          void setImplicitFlowEnabled(boolean implicitFlowEnabled)

    - #### isDirectAccessGrantsEnabled

          boolean isDirectAccessGrantsEnabled()

    - #### setDirectAccessGrantsEnabled

          void setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)

    - #### isServiceAccountsEnabled

          boolean isServiceAccountsEnabled()

    - #### setServiceAccountsEnabled

          void setServiceAccountsEnabled(boolean serviceAccountsEnabled)

Copyright © 2016 JBoss by Red Hat. All rights reserved.